Space Troopers/Space Troopers.Web/Controllers/HomeController.cs
namespace Space_Troopers.Controllers
{
    using System.Diagnostics;

    using Microsoft.AspNetCore.Authorization;
    using Microsoft.AspNetCore.Mvc;

    using Space_Troopers.Models;

    [AllowAnonymous]
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        [Route("home/about-us")]
        public IActionResult About()
        {
            return View();
        }

        [Route("home/contact-us")]
        public IActionResult ContactUs()
        {
            return View();
        }

        [Route("home/latest-news")]
        public IActionResult Latest()
        {
            return View();
        }


        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

Space Troopers/Space Troopers.Web/Controllers/PostController.cs
namespace Space_Troopers.Controllers
{
    using Microsoft.AspNetCore.Mvc;
    public class PostController : Controller
    {
        [Route("post/all")]
        public IActionResult Posts()
        {
            return View();
        }

        [Route("post/single")]
        public IActionResult SinglePost()
        {
            return View();
        }
    }
}

Space Troopers/Space Troopers.Web/Views/Home/About.cshtml
@{
    ViewData["Title"] = "About Us";
}

<!-- ======= About Us Section ======= -->
<section class="aboutus">
    <div class="container" data-aos="fade-up">
        <div class="row">
            <div class="col-lg-12 text-center mb-5">
                <h1 class="page-title">About troopers</h1>
            </div>
        </div>

        <div class="row mb-5">

            <div class="d-md-flex post-entry-2 half">
                <a href="#" class="me-4 thumbnail">
                    <img src="~/assets/img/post-landscape-2.jpg" alt="" class="img-fluid">
                </a>
                <div class="ps-md-5 mt-4 mt-md-0">
                    <div class="post-meta mt-4">About us</div>
                    <h2 class="mb-4 display-4">Troopers History</h2>

                    <p>
                        We are people who love to travel in space and do weird stuff. But many of us was eaten by some weird shit giants,
                        and many lives were lost during our journeys. After many, many, many...parsecs we realized that, all of us have 
                        lost someone during their adventure and eaten by some giant monster. Dcision was made, that this needs to stop!
                    </p>
                    <p>
                        My pal Bongo give me this idea to create a place where, people can share their loses and we can find the beast
                        and destroy it. And from all this hatred we created community who can train, warn, prepare, protect, keep you
                        smile if you want.
                    </p>
                </div>
            </div>

            <div class="d-md-flex post-entry-2 half mt-5">
                <a href="#" class="me-4 thumbnail order-2">
                    <img src="~/assets/img/post-landscape-1.jpg" alt="" class="img-fluid">
                </a>
                <div class="pe-md-5 mt-4 mt-md-0">
                    <div class="post-meta mt-4">Mission &amp; Vision</div>
                    <h2 class="mb-4 display-4">Mission &amp; Vision</h2>

                    <p>
                        Our mission is not only to protect our families, friends and space budies, but to have fun and share that fun 
                        with others, so not everything can be secret. You can have your secrets, but if you find something nice, shiny,
                        illegal...you can share it here!
                    </p>
                    <p>
                        Our vision is the future with peace and more adventures. We are not only rangers we are still normal beings who
                        love, joy and feel energy! See the horizon even if it's dark space or shiny sun, or shiny moon, or anything shiny
                        or not. Be trooper no matter what you are ;)
                    </p>
                </div>
            </div>

        </div>

    </div>
</section><!-- ======= End About Us Section ======= -->

<!-- ======= Our Team Section ======= -->
<section>
    <div class="container" data-aos="fade-up">
        <div class="row">
            <div class="col-12 text-center mb-5">
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <h2 class="display-4">Our Team</h2>
                        <p>
                            Came from all over the galaxy
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 text-center mb-5">
                <img src="~/assets/img/Antonio del Prete.jpg" alt="" class="img-fluid rounded-circle w-50 mb-4">
                <h4>Piotr Gaideec</h4>
                <span class="d-block mb-3 text-uppercase">Founder &amp; CEO</span>
                <p>
                    Came from Earth, and created this thing so beings from all over the galaxy to share their things.
                    He thinks he's not from Earth, but who knows..
                </p>
            </div>
            <div class="col-lg-4 text-center mb-5">
                <img src="~/assets/img/Bongo.jpg" alt="" class="img-fluid rounded-circle w-50 mb-4">
                <h4>Bongo</h4>
                <span class="d-block mb-3 text-uppercase">Best friend</span>
                <p>
                    This is Bongo. He came from space (not sure where). He loves to eat, fart and give good ideas.
                </p>
            </div>
        </div>
    </div>
</section><!-- ======= End Our Team Section ======= -->

Space Troopers/Space Troopers.Web/Views/Home/ContactUs.cshtml
@{
    ViewData["Title"] = "Contact Us";
}

<!-- ======= Contact Us Section ======= -->
<section id="contact" class="contact mb-5">
    <div class="container" data-aos="fade-up">

        <div class="row">
            <div class="col-lg-12 text-center mb-5">
                <h1 class="page-title">Contact us</h1>
            </div>
        </div>

        <div class="row gy-4">

            <div class="col-md-4">
                <div class="info-item">
                    <i class="bi bi-geo-alt"></i>
                    <h3>Address</h3>
                    <address>384 400 km from Earth, Dark Side, Moon</address>
                </div>
            </div><!-- End Info Item -->

            <div class="col-md-4">
                <div class="info-item info-item-borders">
                    <i class="bi bi-phone"></i>
                    <h3>Phone Number</h3>
                    <p><a href="tel:+359877362712">+359 877 362 712</a></p>
                </div>
            </div><!-- End Info Item -->

            <div class="col-md-4">
                <div class="info-item">
                    <i class="bi bi-envelope"></i>
                    <h3>Email</h3>
                    <p><a href="mailto:p.gaydeek@gmail.com">p.gaydeek@gmail.com</a></p>
                </div>
            </div><!-- End Info Item -->

        </div>

        <div class="form mt-5">
            <form action="~/forms/contact.php" method="post" role="form" class="php-email-form">
                <div class="row">
                    <div class="form-group col-md-6">
                        <input type="text" name="name" class="form-control" id="name" placeholder="Your Name" required>
                    </div>
                    <div class="form-group col-md-6">
                        <input type="email" class="form-control" name="email" id="email" placeholder="Your Email" required>
                    </div>
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" name="subject" id="subject" placeholder="Subject" required>
                </div>
                <div class="form-group">
                    <textarea class="form-control" name="message" rows="5" placeholder="Message" required></textarea>
                </div>
                <div class="my-3">
                    <div class="loading">Loading</div>
                    <div class="error-message"></div>
                    <div class="sent-message">Your message has been sent. Thank you!</div>
                </div>
                <div class="text-center"><button type="submit">Send Message</button></div>
            </form>
        </div><!-- End Contact Form -->

    </div>
</section><!-- ======= End Contact Us Section ======= -->

Space Troopers/Space Troopers.Web/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home";
}

<!-- ======= Index Slider Section ======= -->
<section id="hero-slider" class="hero-slider">
    <div class="container-md" data-aos="fade-in">
        <div class="row">
            <div class="col-12">
                <div class="swiper sliderFeaturedPosts">
                    <div class="swiper-wrapper">
                        <div class="swiper-slide">
                            <a asp-controller="Post" asp-action="SinglePost" 
                               class="img-bg d-flex align-items-end" 
                               style="background-image: url('assets/img/post-slide-1.jpg');">
                                <div class="img-bg-inner">
                                    <h2>The black space! This is my peace, my silence, my place to be free!</h2>
                                    <p>
                                       Everytime when me and my pal "Gongruth" go to space, we stop at this spot here, and we just sit, 
                                       watch and no talk (not that Gongruth is talking much). You need to make it safe place here. If 
                                       you can put some law or something that can make this very spot without any violence, so everyone
                                       can come and be free for a moment?
                                    </p>
                                </div>
                            </a>
                        </div><!-- ======= Me and Gongruth ======= -->

                        <div class="swiper-slide">
                            <a asp-controller="Post" asp-action="SinglePost" 
                               class="img-bg d-flex align-items-end" 
                               style="background-image: url('assets/img/post-slide-2.jpg');">
                                <div class="img-bg-inner">
                                    <h2>When you feel dead, but you ain't..</h2>
                                    <p>
                                        Have you ever felt that you are dead? Yes I have felt this many, many times! This time I have drown
                                        myself into the ocean of stars without any space suit. You think "why am I not dead"? I've met a guy
                                        who can teach you how to transform your body into space suit without it. It's hard to learn, but when
                                        you have mastered it, you can sit into open space without suit for about 20 mins! The feeling....
                                    </p>
                                </div>
                            </a>
                        </div><!-- ======= Feel dead ======= -->

                        <div class="swiper-slide">
                            <a asp-controller="Post" asp-action="SinglePost" 
                               class="img-bg d-flex align-items-end" 
                               style="background-image: url('assets/img/post-slide-3.jpg');">
                                <div class="img-bg-inner">
                                    <h2>Love..</h2>
                                    <p>
                                        Ahh love yes. Love is everywhere! If you don't believe, you need to, cause the "Love" thing is the most
                                        powerful shit u've ever feel in ya life! This girl in the picture I've found on planet "Saurios"! This 
                                        planet was almost destroyed, and I jumped for a bit, cause you know after that you can find very valuable
                                        stuff, and I have found "HER"! She makes me feel like smoke. Smoke is like being everywhere without any 
                                        threat. This is all I can tell you for now! Find love and your life will have purpose!
                                    </p>
                                </div>
                            </a>
                        </div><!-- ======= Love ======= -->

                        <div class="swiper-slide">
                            <a asp-controller="Post" asp-action="SinglePost"  
                               class="img-bg d-flex align-items-end" 
                               style="background-image: url('assets/img/post-slide-4.jpg');">
                                <div class="img-bg-inner">
                                    <h2>Don't go to planet "Zeylon"!!!</h2>
                                    <p>
                                        This is a picture of Zeylons new defence system! They suck you into a black hole and you don't know if 
                                        u're going to survive or u can be anywhere in space. Please be aware! I have managed to escape, but Elron
                                        couldn't make it... ;( .. poor Elron.
                                    </p>
                                </div>
                            </a>
                        </div><!-- ======= Don't go to Zeylon ======= -->
                    </div>
                    <div class="custom-swiper-button-next">
                        <span class="bi-chevron-right"></span>
                    </div>
                    <div class="custom-swiper-button-prev">
                        <span class="bi-chevron-left"></span>
                    </div>

                    <div class="swiper-pagination"></div>
                </div>
            </div>
        </div>
    </div>
</section><!-- End Index Slider Section -->

Space Troopers/Space Troopers.Web/Views/Home/Latest.cshtml
@{
    ViewData["Title"] = "Latest news";
}

<!-- ======= Latest News Section ======= -->
<section class="mb-5 bg-light py-5">
    <div class="container" data-aos="fade-up">
        <div class="row justify-content-between align-items-lg-center">
            <div class="col-lg-5 mb-4 mb-lg-0">
                <h2 class="display-4 mb-4">Latest News</h2>
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Sed, rem eaque vel est asperiores iste pariatur placeat molestias, rerum provident ea maiores debitis eum earum esse quas architecto! Minima, voluptatum! Minus tempora distinctio quo sint est blanditiis voluptate eos. Commodi dolore nesciunt culpa adipisci nemo expedita suscipit autem dolorum rerum?</p>
                <p>At magni dolore ullam odio sapiente ipsam, numquam eius minus animi inventore alias quam fugit corrupti error iste laboriosam dolorum culpa doloremque eligendi repellat iusto vel impedit odit cum. Sequi atque molestias nesciunt rem eum pariatur quibusdam deleniti saepe eius maiores porro quam, praesentium ipsa deserunt laboriosam adipisci. Optio, animi!</p>
                <p><a href="#" class="more">View All Blog Posts</a></p>
            </div>
            <div class="col-lg-6">
                <div class="row">
                    <div class="col-6">
                        <img src="~/assets/img/post-portrait-3.jpg" alt="" class="img-fluid mb-4">
                    </div>
                    <div class="col-6 mt-4">
                        <img src="~/assets/img/post-portrait-4.jpg" alt="" class="img-fluid mb-4">
                    </div>
                </div>
            </div>
        </div>
    </div>
</section><!-- ======= End Latest News Section ======= -->